> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete dataset by ID

> Delete a dataset and all associated files using its unique processed dataset ID.
NOTE: This only deletes preprocessed dataset, NOT raw dataset files!



## OpenAPI

````yaml DELETE /datasets/{processed_dataset_id}
openapi: 3.1.0
info:
  title: Gemma Dataset Preprocessing Service
  description: A modular service for preprocessing datasets into ChatML format
  version: 2.0.0
servers:
  - url: https://preprocessing-service-433968519479.us-central1.run.app
security: []
paths:
  /datasets/{processed_dataset_id}:
    delete:
      summary: Delete Dataset
      description: >-
        Delete a dataset and all associated files using its unique processed
        dataset ID.

        NOTE: This only deletes preprocessed dataset, NOT raw dataset files!
      operationId: delete_dataset_datasets__processed_dataset_id__delete
      parameters:
        - name: processed_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Processed Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetDeleteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DatasetDeleteResponse:
      properties:
        dataset_name:
          type: string
          title: Dataset Name
        deleted:
          type: boolean
          title: Deleted
        message:
          type: string
          title: Message
        deleted_files_count:
          type: integer
          title: Deleted Files Count
        deleted_resources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Deleted Resources
      type: object
      required:
        - dataset_name
        - deleted
        - message
        - deleted_files_count
      title: DatasetDeleteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````